# Copyright 2019 ZTE Corporation.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# Generated by Django 1.11.9 on 2019-04-16 03:53
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='JobModel',
            fields=[
                ('jobid', models.CharField(db_column='JOBID', max_length=255, primary_key=True, serialize=False)),
                ('jobtype', models.CharField(db_column='JOBTYPE', max_length=255)),
                ('jobaction', models.CharField(db_column='JOBACTION', max_length=255)),
                ('resid', models.CharField(db_column='RESID', max_length=255)),
                ('status', models.IntegerField(blank=True, db_column='STATUS', null=True)),
                ('starttime', models.CharField(blank=True, db_column='STARTTIME', max_length=255, null=True)),
                ('endtime', models.CharField(blank=True, db_column='ENDTIME', max_length=255, null=True)),
                ('progress', models.IntegerField(blank=True, db_column='PROGRESS', null=True)),
                ('user', models.CharField(blank=True, db_column='USER', max_length=255, null=True)),
                ('parentjobid', models.CharField(blank=True, db_column='PARENTJOBID', max_length=255, null=True)),
                ('resname', models.CharField(blank=True, db_column='RESNAME', max_length=255, null=True)),
            ],
            options={
                'db_table': 'CATALOG_JOB',
            },
        ),
        migrations.CreateModel(
            name='JobStatusModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('indexid', models.IntegerField(db_column='INDEXID')),
                ('jobid', models.CharField(db_column='JOBID', max_length=255)),
                ('status', models.CharField(db_column='STATUS', max_length=255)),
                ('progress', models.IntegerField(blank=True, db_column='PROGRESS', null=True)),
                ('descp', models.TextField(db_column='DESCP', max_length=65535)),
                ('errcode', models.CharField(blank=True, db_column='ERRCODE', max_length=255, null=True)),
                ('addtime', models.CharField(blank=True, db_column='ADDTIME', max_length=255, null=True)),
            ],
            options={
                'db_table': 'CATALOG_JOB_STATUS',
            },
        ),
        migrations.CreateModel(
            name='NsdmSubscriptionModel',
            fields=[
                ('subscriptionid', models.CharField(db_column='SUBSCRIPTIONID', max_length=255, primary_key=True, serialize=False)),
                ('notificationTypes', models.TextField(db_column='NOTIFICATIONTYPES', null=True)),
                ('auth_info', models.TextField(db_column='AUTHINFO', null=True)),
                ('callback_uri', models.CharField(db_column='CALLBACKURI', max_length=255)),
                ('nsdInfoId', models.TextField(db_column='NSDINFOID', null=True)),
                ('nsdId', models.TextField(db_column='NSDID', null=True)),
                ('nsdName', models.TextField(db_column='NSDNAME', null=True)),
                ('nsdVersion', models.TextField(db_column='NSDVERSION', null=True)),
                ('nsdDesigner', models.TextField(db_column='NSDDESIGNER', null=True)),
                ('nsdInvariantId', models.TextField(db_column='NSDINVARIANTID', null=True)),
                ('vnfPkgIds', models.TextField(db_column='VNFPKGIDS', null=True)),
                ('pnfdInfoIds', models.TextField(db_column='PNFDINFOIDS', null=True)),
                ('nestedNsdInfoIds', models.TextField(db_column='NESTEDNSDINFOIDS', null=True)),
                ('nsdOnboardingState', models.TextField(db_column='NSDONBOARDINGSTATE', null=True)),
                ('nsdOperationalState', models.TextField(db_column='NSDOPERATIONALSTATE', null=True)),
                ('nsdUsageState', models.TextField(db_column='NSDUSAGESTATE', null=True)),
                ('pnfdId', models.TextField(db_column='PNFDID', null=True)),
                ('pnfdName', models.TextField(db_column='PNFDNAME', null=True)),
                ('pnfdVersion', models.TextField(db_column='PNFDVERSION', null=True)),
                ('pnfdProvider', models.TextField(db_column='PNFDPROVIDER', null=True)),
                ('pnfdInvariantId', models.TextField(db_column='PNFDINVARIANTID', null=True)),
                ('pnfdOnboardingState', models.TextField(db_column='PNFDONBOARDINGSTATE', null=True)),
                ('pnfdUsageState', models.TextField(db_column='PNFDUSAGESTATE', null=True)),
                ('links', models.TextField(db_column='LINKS')),
            ],
            options={
                'db_table': 'CATALOG_NSDM_SUBSCRIPTION',
            },
        ),
        migrations.CreateModel(
            name='NSPackageModel',
            fields=[
                ('nsPackageId', models.CharField(db_column='NSPACKAGEID', max_length=50, primary_key=True, serialize=False)),
                ('nsPackageUri', models.CharField(blank=True, db_column='NSPACKAGEURI', max_length=300, null=True)),
                ('checksum', models.CharField(blank=True, db_column='CHECKSUM', max_length=50, null=True)),
                ('sdcCsarId', models.CharField(blank=True, db_column='SDCCSARID', max_length=50, null=True)),
                ('onboardingState', models.CharField(blank=True, db_column='ONBOARDINGSTATE', max_length=20, null=True)),
                ('operationalState', models.CharField(blank=True, db_column='OPERATIONALSTATE', max_length=20, null=True)),
                ('usageState', models.CharField(blank=True, db_column='USAGESTATE', max_length=20, null=True)),
                ('deletionPending', models.CharField(blank=True, db_column='DELETIONPENDING', max_length=20, null=True)),
                ('nsdId', models.CharField(blank=True, db_column='NSDID', max_length=50, null=True)),
                ('invariantId', models.CharField(blank=True, db_column='INVARIANTID', max_length=50, null=True)),
                ('nsdName', models.CharField(blank=True, db_column='NSDNAME', max_length=50, null=True)),
                ('nsdDesginer', models.CharField(blank=True, db_column='NSDDESIGNER', max_length=50, null=True)),
                ('nsdDescription', models.CharField(blank=True, db_column='NSDDESCRIPTION', max_length=100, null=True)),
                ('nsdVersion', models.CharField(blank=True, db_column='NSDVERSION', max_length=20, null=True)),
                ('userDefinedData', models.TextField(blank=True, db_column='USERDEFINEDDATA', max_length=1024, null=True)),
                ('localFilePath', models.CharField(blank=True, db_column='LOCALFILEPATH', max_length=300, null=True)),
                ('nsdModel', models.TextField(blank=True, db_column='NSDMODEL', max_length=65535, null=True)),
            ],
            options={
                'db_table': 'CATALOG_NSPACKAGE',
            },
        ),
        migrations.CreateModel(
            name='PnfPackageModel',
            fields=[
                ('pnfPackageId', models.CharField(db_column='PNFPACKAGEID', max_length=50, primary_key=True, serialize=False)),
                ('pnfPackageUri', models.CharField(blank=True, db_column='PNFPACKAGEURI', max_length=300, null=True)),
                ('sdcCSARUri', models.CharField(blank=True, db_column='SDCCSARURI', max_length=300, null=True)),
                ('checksum', models.CharField(blank=True, db_column='CHECKSUM', max_length=50, null=True)),
                ('onboardingState', models.CharField(blank=True, db_column='ONBOARDINGSTATE', max_length=20, null=True)),
                ('usageState', models.CharField(blank=True, db_column='USAGESTATE', max_length=20, null=True)),
                ('deletionPending', models.CharField(blank=True, db_column='DELETIONPENDING', max_length=20, null=True)),
                ('pnfdId', models.CharField(blank=True, db_column='PNFDID', max_length=50, null=True)),
                ('pnfVendor', models.CharField(blank=True, db_column='VENDOR', max_length=50, null=True)),
                ('pnfdProductName', models.CharField(blank=True, db_column='PNFDPRODUCTNAME', max_length=50, null=True)),
                ('pnfdVersion', models.CharField(blank=True, db_column='PNFDVERSION', max_length=20, null=True)),
                ('pnfSoftwareVersion', models.CharField(blank=True, db_column='PNFSOFTWAREVERSION', max_length=20, null=True)),
                ('userDefinedData', models.TextField(blank=True, db_column='USERDEFINEDDATA', max_length=1024, null=True)),
                ('localFilePath', models.CharField(blank=True, db_column='LOCALFILEPATH', max_length=300, null=True)),
                ('pnfdModel', models.TextField(blank=True, db_column='PNFDMODEL', max_length=65535, null=True)),
                ('pnfdName', models.TextField(blank=True, db_column='PNFDNAME', max_length=65535, null=True)),
            ],
            options={
                'db_table': 'CATALOG_PNFPACKAGE',
            },
        ),
        migrations.CreateModel(
            name='ServicePackageModel',
            fields=[
                ('servicePackageId', models.CharField(db_column='SERVICEPACKAGEID', max_length=50, primary_key=True, serialize=False)),
                ('servicePackageUri', models.CharField(blank=True, db_column='SERVICEPACKAGEURI', max_length=300, null=True)),
                ('checksum', models.CharField(blank=True, db_column='CHECKSUM', max_length=50, null=True)),
                ('sdcCsarId', models.CharField(blank=True, db_column='SDCCSARID', max_length=50, null=True)),
                ('onboardingState', models.CharField(blank=True, db_column='ONBOARDINGSTATE', max_length=20, null=True)),
                ('operationalState', models.CharField(blank=True, db_column='OPERATIONALSTATE', max_length=20, null=True)),
                ('usageState', models.CharField(blank=True, db_column='USAGESTATE', max_length=20, null=True)),
                ('deletionPending', models.CharField(blank=True, db_column='DELETIONPENDING', max_length=20, null=True)),
                ('servicedId', models.CharField(blank=True, db_column='SERVICEDID', max_length=50, null=True)),
                ('invariantId', models.CharField(blank=True, db_column='INVARIANTID', max_length=50, null=True)),
                ('servicedName', models.CharField(blank=True, db_column='SERVICEDNAME', max_length=50, null=True)),
                ('servicedDesigner', models.CharField(blank=True, db_column='SERVICEDDESIGNER', max_length=50, null=True)),
                ('servicedDescription', models.CharField(blank=True, db_column='SERVICEDDESCRIPTION', max_length=100, null=True)),
                ('servicedVersion', models.CharField(blank=True, db_column='SERVICEDVERSION', max_length=20, null=True)),
                ('userDefinedData', models.TextField(blank=True, db_column='USERDEFINEDDATA', max_length=1024, null=True)),
                ('localFilePath', models.CharField(blank=True, db_column='LOCALFILEPATH', max_length=300, null=True)),
                ('servicedModel', models.TextField(blank=True, db_column='SERVICEDMODEL', max_length=65535, null=True)),
            ],
            options={
                'db_table': 'CATALOG_SERVICEPACKAGE',
            },
        ),
        migrations.CreateModel(
            name='SoftwareImageModel',
            fields=[
                ('imageid', models.CharField(db_column='IMAGEID', max_length=50, primary_key=True, serialize=False)),
                ('containerFormat', models.CharField(db_column='CONTAINERFORMAT', max_length=20)),
                ('diskFormat', models.CharField(db_column='DISKFORMAT', max_length=20)),
                ('mindisk', models.CharField(db_column='MINDISK', max_length=20)),
                ('minram', models.CharField(db_column='MINRAM', max_length=20)),
                ('usermetadata', models.CharField(db_column='USAERMETADATA', max_length=1024)),
                ('vnfPackageId', models.CharField(db_column='VNFPACKAGEID', max_length=50)),
                ('filePath', models.CharField(db_column='FILEPATH', max_length=300)),
                ('status', models.CharField(db_column='STATUS', max_length=10)),
                ('vimid', models.CharField(db_column='VIMID', max_length=50)),
            ],
            options={
                'db_table': 'CATALOG_SOFTWAREIMAGEMODEL',
            },
        ),
        migrations.CreateModel(
            name='VnfPackageModel',
            fields=[
                ('vnfPackageId', models.CharField(db_column='VNFPACKAGEID', max_length=50, primary_key=True, serialize=False)),
                ('vnfPackageUri', models.CharField(blank=True, db_column='VNFPACKAGEURI', max_length=300, null=True)),
                ('SdcCSARUri', models.CharField(blank=True, db_column='SDCCSARURI', max_length=300, null=True)),
                ('checksum', models.CharField(blank=True, db_column='CHECKSUM', max_length=50, null=True)),
                ('onboardingState', models.CharField(blank=True, db_column='ONBOARDINGSTATE', max_length=20, null=True)),
                ('operationalState', models.CharField(blank=True, db_column='OPERATIONALSTATE', max_length=20, null=True)),
                ('usageState', models.CharField(blank=True, db_column='USAGESTATE', max_length=20, null=True)),
                ('deletionPending', models.CharField(blank=True, db_column='DELETIONPENDING', max_length=20, null=True)),
                ('vnfdId', models.CharField(blank=True, db_column='VNFDID', max_length=50, null=True)),
                ('vnfVendor', models.CharField(blank=True, db_column='VENDOR', max_length=50, null=True)),
                ('vnfdProductName', models.CharField(blank=True, db_column='VNFDPRODUCTNAME', max_length=50, null=True)),
                ('vnfdVersion', models.CharField(blank=True, db_column='VNFDVERSION', max_length=20, null=True)),
                ('vnfSoftwareVersion', models.CharField(blank=True, db_column='VNFSOFTWAREVERSION', max_length=20, null=True)),
                ('userDefinedData', models.TextField(blank=True, db_column='USERDEFINEDDATA', max_length=1024, null=True)),
                ('localFilePath', models.CharField(blank=True, db_column='LOCALFILEPATH', max_length=300, null=True)),
                ('vnfdModel', models.TextField(blank=True, db_column='VNFDMODEL', max_length=65535, null=True)),
            ],
            options={
                'db_table': 'CATALOG_VNFPACKAGE',
            },
        ),
        migrations.CreateModel(
            name='VnfPkgSubscriptionModel',
            fields=[
                ('subscription_id', models.CharField(db_column='SUBSCRIPTION_ID', max_length=255, primary_key=True, serialize=False)),
                ('callback_uri', models.URLField(db_column='CALLBACK_URI', max_length=255)),
                ('auth_info', models.TextField(db_column='AUTH_INFO')),
                ('usage_states', models.TextField(db_column='USAGE_STATES')),
                ('notification_types', models.TextField(db_column='NOTIFICATION_TYPES')),
                ('vnfd_id', models.TextField(db_column='VNFD_ID')),
                ('vnf_pkg_id', models.TextField(db_column='VNF_PKG_ID')),
                ('operation_states', models.TextField(db_column='OPERATION_STATES')),
                ('vnf_products_from_provider', models.TextField(db_column='VNF_PRODUCTS_FROM_PROVIDER')),
                ('links', models.TextField(db_column='LINKS')),
            ],
            options={
                'db_table': 'VNF_PKG_SUBSCRIPTION',
            },
        ),
    ]
